
Name:		smeserver-rabbitmq-server
Version:	3.3.5
Release:	5%{?dist}
Summary:	Koozali SME Server integration of rabbitmq-server
License: 	GPL	
URL:		http://www.rabbitmq.com/		
#Source0:	%{name}-%{version}.tar.gz
Source: 	createlinks
BuildArch: 	noarch
BuildRequires: smeserver-devtools
Requires:	rabbitmq-server

%description
Koozali SME Server integration of rabbitmq-server
RabbitMQ is an implementation of AMQP, the emerging standard for high
performance enterprise messaging. The RabbitMQ server is a robust and
scalable implementation of an AMQP broker.


%prep
%setup -c -n %{name}-%{version} -T 
mkdir -p root
cp %SOURCE0 .

%build
#cd %{name}-%{version}
perl createlinks

# could be an archive
mkdir -p root/usr/lib/systemd/system/rabbitmq-server.service.d/
printf "[Unit]
After=network-online.target

[Install]
WantedBy=sme-server.target" > root/usr/lib/systemd/system/rabbitmq-server.service.d/50-koozali.conf
mkdir -p root/etc/e-smith/db/configuration/defaults/rabbitmq-server
echo "enabled" > root/etc/e-smith/db/configuration/defaults/rabbitmq-server/status
echo "service" > root/etc/e-smith/db/configuration/defaults/rabbitmq-server/type
echo "local" > root/etc/e-smith/db/configuration/defaults/rabbitmq-server/access 

%install
rm -rf %{buildroot}
(cd root ; find . -depth -print | cpio -dump %{buildroot})
/sbin/e-smith/genfilelist %{buildroot} > %{name}-%{version}-%{release}-filelist



%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)



%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 3.3.5-5.sme
- Fix e-smith references in smeserver-rabbitmq-server [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 3.3.5-4.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Fri Dec 30 2022 Jean-Philippe Pialasse <tests@pialasse.com> 3.3.5-3.sme
- fix service failing to start on boot, waiting network-online.target 

* Thu Jun 23 2022 Jean-Philippe Pialasse <tests@pialasse.com> 3.3.5-2.sme
- initial Koozali SME 10 version


